[Pkg-xfce-commits] r4191 - desktop/branches/experimental/exo/debian
Yves-Alexis Perez
corsac at alioth.debian.org
Tue Jul 27 06:50:03 UTC 2010
Author: corsac
Date: 2010-07-27 06:50:01 +0000 (Tue, 27 Jul 2010)
New Revision: 4191
Added:
desktop/branches/experimental/exo/debian/libexo-common.postinst
desktop/branches/experimental/exo/debian/libexo-common.postrm
Modified:
desktop/branches/experimental/exo/debian/changelog
desktop/branches/experimental/exo/debian/control
desktop/branches/experimental/exo/debian/libexo-common.preinst
desktop/branches/experimental/exo/debian/rules
Log:
- get *FLAGS from dpkg-buildflags.
* debian/libexo-common.{preinst,postinst,prerm}:
- use dpkg-maintscript-helper to remove /etc/xdg/xfce4/mount.rc.
Modified: desktop/branches/experimental/exo/debian/changelog
===================================================================
--- desktop/branches/experimental/exo/debian/changelog 2010-07-27 06:48:00 UTC (rev 4190)
+++ desktop/branches/experimental/exo/debian/changelog 2010-07-27 06:50:01 UTC (rev 4191)
@@ -4,12 +4,15 @@
* New upstream release.
* debian/rules:
- adapt rules to changed soname.
+ - get *FLAGS from dpkg-buildflags.
* debian/control:
- change binary packages name to match updated soname.
- use proper relation in conflict.
- drop build-dep on libxfcegui4, add one on libxfce4ui.
- add build-dep on libxfce4util-dev.
- add dep on ${misc:Depends} for libexo-1-dev.
+ * debian/libexo-common.{preinst,postinst,prerm}:
+ - use dpkg-maintscript-helper to remove /etc/xdg/xfce4/mount.rc.
[ Lionel Le Folgoc ]
* debian/exo-utils.manpages: added.
@@ -45,7 +48,7 @@
* debian/libexo-1-0.shlibs: dropped.
* debian/copyright: refreshed.
- -- Lionel Le Folgoc <mrpouit at gmail.com> Tue, 11 May 2010 21:44:39 +0200
+ -- Yves-Alexis Perez <corsac at debian.org> Tue, 27 Jul 2010 08:11:19 +0200
exo (0.3.106-2) unstable; urgency=low
Modified: desktop/branches/experimental/exo/debian/control
===================================================================
--- desktop/branches/experimental/exo/debian/control 2010-07-27 06:48:00 UTC (rev 4190)
+++ desktop/branches/experimental/exo/debian/control 2010-07-27 06:50:01 UTC (rev 4191)
@@ -5,8 +5,8 @@
Uploaders: Emanuele Rocca <ema at debian.org>, Simon Huggins <huggie at earth.li>,
Yves-Alexis Perez <corsac at debian.org>, Michael Casadevall <sonicmctails at gmail.com>,
Lionel Le Folgoc <mrpouit at gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), libxfce4util-dev, libxfce4ui-1-dev (>= 4.7.0),
- liburi-perl, chrpath, intltool
+Build-Depends: debhelper (>= 7.0.50~), libxfce4util-dev,
+ libxfce4ui-1-dev (>= 4.7.0), liburi-perl, chrpath, intltool
Standards-Version: 3.9.0
Homepage: http://www.xfce.org
Vcs-Svn: svn://svn.debian.org/pkg-xfce/desktop/trunk/exo/
Copied: desktop/branches/experimental/exo/debian/libexo-common.postinst (from rev 4176, desktop/branches/experimental/exo/debian/libexo-common.preinst)
===================================================================
--- desktop/branches/experimental/exo/debian/libexo-common.postinst (rev 0)
+++ desktop/branches/experimental/exo/debian/libexo-common.postinst 2010-07-27 06:50:01 UTC (rev 4191)
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+set -e
+
+LASTVER="0.3.107-1" # last exo-0.3 version
+
+if dpkg-maintscript-helper supports rm_conffile; then
+ dpkg-maintscript-helper rm_conffile \
+ /etc/xdg/xfce4/mount.rc "$LASTVER" -- "$@"
+fi
+
+#DEBHELPER#
Copied: desktop/branches/experimental/exo/debian/libexo-common.postrm (from rev 4176, desktop/branches/experimental/exo/debian/libexo-common.preinst)
===================================================================
--- desktop/branches/experimental/exo/debian/libexo-common.postrm (rev 0)
+++ desktop/branches/experimental/exo/debian/libexo-common.postrm 2010-07-27 06:50:01 UTC (rev 4191)
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+set -e
+
+LASTVER="0.3.107-1" # last exo-0.3 version
+
+if dpkg-maintscript-helper supports rm_conffile; then
+ dpkg-maintscript-helper rm_conffile \
+ /etc/xdg/xfce4/mount.rc "$LASTVER" -- "$@"
+fi
+
+#DEBHELPER#
Modified: desktop/branches/experimental/exo/debian/libexo-common.preinst
===================================================================
--- desktop/branches/experimental/exo/debian/libexo-common.preinst 2010-07-27 06:48:00 UTC (rev 4190)
+++ desktop/branches/experimental/exo/debian/libexo-common.preinst 2010-07-27 06:50:01 UTC (rev 4191)
@@ -2,31 +2,11 @@
set -e
-# Remove a no-longer used conffile
-rm_conffile() {
- local PKGNAME="$1"
- local CONFFILE="$2"
+LASTVER="0.3.107-1" # last exo-0.3 version
- [ -e "$CONFFILE" ] || return 0
+if dpkg-maintscript-helper supports rm_conffile; then
+ dpkg-maintscript-helper rm_conffile \
+ /etc/xdg/xfce4/mount.rc "$LASTVER" -- "$@"
+fi
- local md5sum="$(md5sum $CONFFILE | sed -e 's/ .*//')"
- local old_md5sum="$(dpkg-query -W -f='${Conffiles}' $PKGNAME | \
- sed -n -e "\' $CONFFILE ' { s/ obsolete$//; s/.* //; p }")"
- if [ "$md5sum" != "$old_md5sum" ]; then
- echo "Obsolete conffile $CONFFILE has been modified by you."
- echo "Saving as $CONFFILE.dpkg-bak ..."
- mv -f "$CONFFILE" "$CONFFILE".dpkg-bak
- else
- echo "Removing obsolete conffile $CONFFILE ..."
- rm -f "$CONFFILE"
- fi
-}
-
-case "$1" in
-install|upgrade)
- if dpkg --compare-versions "$2" lt-nl "0.5.3"; then
- rm_conffile libexo-common "/etc/xdg/xfce4/mount.rc"
- fi
-esac
-
#DEBHELPER#
Modified: desktop/branches/experimental/exo/debian/rules
===================================================================
--- desktop/branches/experimental/exo/debian/rules 2010-07-27 06:48:00 UTC (rev 4190)
+++ desktop/branches/experimental/exo/debian/rules 2010-07-27 06:50:01 UTC (rev 4191)
@@ -1,11 +1,8 @@
#!/usr/bin/make -f
+LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
+CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS+=-Wl,-z,defs -Wl,--as-needed
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
- CFLAGS += -O0
-else
- CFLAGS += -O2
-endif
EXO_LIBNAME=1
EXO_SOVERSION=0
More information about the Pkg-xfce-commits
mailing list